### Enumeration

# GUPnP RootdeviceError

#### Declaration

    error-domain GUPnP.RootdeviceError

#### Description [src]

Errors during `GUPnPRootDevice` creation.

#### Members

Name | Description
--- | ---
`GUPNP_ROOT_DEVICE_ERROR_NO_CONTEXT` | No `GUPnPContext` was passed to the root device.
`GUPNP_ROOT_DEVICE_ERROR_NO_DESCRIPTION_PATH` | Device description path was missing.
`GUPNP_ROOT_DEVICE_ERROR_NO_DESCRIPTION_FOLDER` | Description folder was missing.
`GUPNP_ROOT_DEVICE_ERROR_NO_NETWORK` | Network interface is not usable.
`GUPNP_ROOT_DEVICE_ERROR_FAIL` | No description available.

#### Type functions

###### gupnp_rootdevice_error_quark

No description available.